gssdp (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 10:21:56 -0500

gssdp (1.6.2-2) unstable; urgency=medium

  * Don't build gssdp-tools on i386 since pandoc isn't available there on Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 19:01:09 -0500

gssdp (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on pandoc to build the manpage for gssdp-tools
  * Stop building gssdp-tools on sh4 since pandoc isn't available there
  * Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 07:23:37 -0500

gssdp (1.6.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * Drop patch: applied in new release
  * Update debian/copyright

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Nov 2022 10:08:07 -0500

gssdp (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #1022003)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Oct 2022 14:51:16 +0100

gssdp (1.6.0-2) experimental; urgency=medium

  * Add debian/patches/Net-Posix-Use-correct-macro-to-parse-netlink-msgs.patch
    - cherry-picked from upstream

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Oct 2022 18:27:44 +0200

gssdp (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Rename packages for 1.2->1.6 API/ABI bump
  * Switch (build-)deps to libsoup-3.0
  * Update symbols with new additions

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Oct 2022 20:14:13 +0200

gssdp (1.4.0.1-2) unstable; urgency=medium

  * Only build gssdp-tools on arches where gtk4 is available
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 20:21:22 -0400

gssdp (1.4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on python3-jinja2, python3-toml, python3-typogrify
    for gi-docgen vendored copy. See 987000 for vendored copy explanation.
  * debian/copyright: Update for gi-docgen vendored copy
  * debian/libgssdp-doc.install: Update for new install location
  * debian/control.in: Build-Depend on gtk4 instead of gtk3
  * debian/control.in: Bump minimum meson to 0.54.0
  * debian/docs: README -> README.md
  * debian/libgssdp-1.2-0.symbols: Add new symbol
  * Bump debhelper-compat to 13
  * debian/rules: Clean up a bit

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 14:31:58 -0400

gssdp (1.2.3-2) unstable; urgency=medium

  * debian/libgssdp-1.2-0.symbols:
    - correctly update the symbols now

 -- Sebastien Bacher <seb128@debian.org>  Thu, 25 Jun 2020 16:27:36 +0200

gssdp (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Jun 2020 16:15:43 +0200

gssdp (1.2.2-1) unstable; urgency=medium

  * New upstream release
    - Bump libglib2.0-dev build-dependency
  * debian/libgssdp-1.2-0.symbols: Mark gssdp_pktinfo6_message_get_type and
    gssdp_pktinfo_message_get_type symbols as arch=linux-any.
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Add debian/docs to provide NEWS and README files, thanks to Patrice Duroux
    (Closes: #917356)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 07 Jan 2020 19:46:32 +0100

gssdp (1.2.1-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in: Add the needed -doc packages to the build-dependencies
    so the links between the documentation files are properly resolved
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>
  * debian/control.in: Mark the -dev package as Multi-Arch: same

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2019 01:33:16 +0100

gssdp (1.2.1-2) experimental; urgency=medium

  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 08:55:20 -0400

gssdp (1.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Sep 2019 12:06:52 +0200

gssdp (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 07:51:08 -0400

gssdp (1.1.3-1) experimental; urgency=medium

  * New upstream development release
  * Update package names for new soname
  * Build with meson
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump minimum libglib2.0-dev to 2.44

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 16:14:04 -0500

gssdp (1.0.2-4) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:30:58 -0500

gssdp (1.0.2-3) unstable; urgency=medium

  * debian/control.in:
    - Suggests devhelp rather than depending on 'lynx | www-browser',
      there is no need of a webbrowser.

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Dec 2018 16:34:50 +0100

gssdp (1.0.2-2) unstable; urgency=medium

  * Add disable-multicast-tests.patch:
    - Disable build tests which require multicast networking which appears
      to violate Debian's "no network access attempts" policy (Closes: #882216)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 29 Nov 2017 13:22:47 -0500

gssdp (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage and Vcs fields
  * Update debian/watch
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 17 Nov 2017 17:17:03 -0500

gssdp (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Oct 2016 21:13:39 +0200

gssdp (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 22 Sep 2016 20:05:14 +0200

gssdp (0.14.16-2) unstable; urgency=medium

  * Convert from cdbs to dh
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Drop libgssdp-1.0-dbg in favour of automatic dbgsym
  * debian/gbp.conf: import upstream-vcs-tag automatically
  * Drop '*.la' and use --fail-missing

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 11:23:02 +0200

gssdp (0.14.16-1) unstable; urgency=medium

  * New upstream release.
  * Update libgssdp-1.0-3.symbols with new symbols
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Jul 2016 17:19:47 +0200

gssdp (0.14.14-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Multiarchify the library packages (Closes: #812960)

  [ Andreas Henriksson ]
  * debian/copyright: Updated and switched to DEP5 format
  * Hand over maintenance to Debian GNOME Team
    - build-depend on gnome-pkg-tools
    - include uploaders.mk and gnome-get-source.mk in debian/rules
    - copy debian/control to debian/control.in
    - set Maintainer to Debian GNOME Team and Uploaders to autogenerated.
    - update Vcs-* fields for move from collab-maint to pkg-gnome
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Mar 2016 15:29:55 +0100

gssdp (0.14.14-1) unstable; urgency=medium

  * New upstream release.
  * Drop Ross Burton from Maintainer on his request.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Feb 2016 19:52:08 +0100

gssdp (0.14.13-1) unstable; urgency=medium

  * Add debian/gbp.conf
  * Imported Upstream version 0.14.13

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 09 Jan 2016 18:09:09 +0100

gssdp (0.14.12-1) unstable; urgency=medium

  * Imported Upstream version 0.14.12

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Dec 2015 19:32:25 +0100

gssdp (0.14.11-1) unstable; urgency=medium

  * Imported Upstream version 0.14.11

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 29 Apr 2015 19:48:02 +0200

gssdp (0.14.10-1) unstable; urgency=medium

  * Imported Upstream version 0.14.10

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Aug 2014 22:59:58 +0200

gssdp (0.14.8-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.5

  [ Paulo Flabiano Smorigo ]
  * Add autoreconf during the build to enable new architectures
    (Closes: #753599)

  [ Andreas Henriksson ]
  * Add missing build-dependencies dh-autoreconf and gtk-doc-tools
    - needed for autoreconf during build.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jul 2014 16:35:02 +0200

gssdp (0.14.8-1) unstable; urgency=medium

  * Imported Upstream version 0.14.8
  * Update debian/libgssdp-1.0-3.symbols with three additions

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jul 2014 16:20:08 +0200

gssdp (0.14.7-1) unstable; urgency=medium

  * Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS
  * Make dh_makeshlibs fail on symbols mismatch
  * Imported Upstream version 0.14.7

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 23:28:28 +0100

gssdp (0.14.6-1) unstable; urgency=low

  * Imported Upstream version 0.14.6
  * Update debian/libgssdp-1.0-3.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Nov 2013 18:51:13 +0100

gssdp (0.14.5-1) unstable; urgency=low

  * Imported Upstream version 0.14.5

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 21:02:57 +0200

gssdp (0.14.4-1) unstable; urgency=low

  * Imported Upstream version 0.14.4

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 03 Aug 2013 02:36:17 +0200

gssdp (0.14.3-1) unstable; urgency=low

  * Imported Upstream version 0.14.3
  * Switch build-dependency to gtk+ 3
  * Add autotools-dev build-dependency
    - fixes outdated-autotools-helper-file with help from CDBS
  * Don't manually run dh_girepository anymore
    - This is handled by CDBS since 0.4.90

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Jun 2013 13:52:35 +0200

gssdp (0.14.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 May 2013 01:54:22 +0200

gssdp (0.14.2-1) experimental; urgency=low

  * Merge 0.12.2.1-2 changes into experimental branch.
  * Imported Upstream version 0.14.2

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Mar 2013 16:31:25 +0100

gssdp (0.14.1-1) experimental; urgency=low

  * Imported Upstream version 0.14.1
  * Bump glib build-dep version to 2.32 according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Feb 2013 18:34:00 +0100

gssdp (0.14.0-1) experimental; urgency=low

  * Tighten dev -> gir package dependency
  * Bump standards version to 3.9.4
  * Imported Upstream version 0.14.0
  * Update symbols file for added rescan method

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Feb 2013 14:46:25 +0100

gssdp (0.13.2-1) experimental; urgency=low

  * Imported Upstream version 0.13.2

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Dec 2012 23:09:02 +0100

gssdp (0.13.1-1) experimental; urgency=low

  * Imported Upstream version 0.13.1

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Oct 2012 12:42:20 +0200

gssdp (0.13.0-1) experimental; urgency=low

  * Imported Upstream version 0.13.0
    - Beware! this version stops leaking gio and gobject linker flags!
    - If you use symbols from a library, you need to link to it!
    - Also link your modules with "-Wl,-z,defs" in LDFLAGS to
      catch errors at build time!

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 08 Oct 2012 22:34:15 +0200

gssdp (0.12.2.1-2) unstable; urgency=low

  * libgssdp-1.0-dev now breaks gupnp-vala (<= 0.10.4) for policy compliance.
    Thanks to to Andreas Beckmann for finding and describing the problem.
    (Closes: #696099)
  * Also break (the ancient) gir-repository-dev (<= 0.6.5-5) for correctness

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Feb 2013 22:18:33 +0100

gssdp (0.12.2.1-1) unstable; urgency=low

  * Bump to debhelper compatibility level 9
  * Imported Upstream version 0.12.2.1
  * Vala API is now generated from introspection:
    - build-depend on valac (>= 0.14)
    - install gssdp-1.0.{vapi,deps} in libgssdp-1.0-dev
    - replace existing versions of gupnp-vala
      (0.10.4 will no longer build these files, if built on top
       of this gssdp version)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Sep 2012 18:32:18 +0200

gssdp (0.12.1-2) unstable; urgency=low

  * Move gssdp gir package to introspection section
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 14:18:29 +0100

gssdp (0.12.1-1) experimental; urgency=low

  * Imported Upstream version 0.12.1

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 13:23:27 +0100

gssdp (0.12.0-1) experimental; urgency=low

  * Imported Upstream version 0.12.0
  * Update debian/watch for ftp.gnome.org
  * Switch to debian source format 3.0 (quilt)
    - needed for xz orig tarball.
  * Rename library package to match new soname.
    - also update symbols
  * Fix lintian warning about bracket expansion in debhelper install file

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2011 16:27:08 +0200

gssdp (0.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 12:54:03 +0200

gssdp (0.10.0-1) experimental; urgency=low

  * Make -dev package depend or gir1.2- package.
  * Imported Upstream version 0.10.0
  * debian/rules: fix dh_girepository hook for gir1.2
  * Update symbols file for 0.10 release.
  * Bump policy version to 3.9.2
  * Upload to experimental for now to avoid disrupting
    the gobject-introspection.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 08 Apr 2011 14:51:59 +0200

gssdp (0.8.2-2) unstable; urgency=low

  * Linking tests with gold linker fixed by upstream in 0.8.1 (Closes: #618075)
  * Bump libsoup2.4-dev build dependency to >= 2.26.1 (Closes: #607778)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Mar 2011 16:41:07 +0100

gssdp (0.8.2-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.8.2
  * Only watch for stable releases

  [ Sebastien Bacher ]
  * build-depends on libgtk2.0-dev rather than libglade2-dev (Closes:
    #599440)

  [ Andreas Henriksson ]
  * Update to new gir policy (gir 1.2):
  - Rename gir1.0-gssdp-1.0 to gir1.2-gssdp-1.0
    (and conflict/replace the old name)
  - Bump gobject-introspection build dependency to (>= 0.9.12-4~)
    and libgirepository1.0-dev to (>= 0.9.12)
  - Build-depend on gir1.2-glib-2.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Dec 2010 11:13:42 +0100

gssdp (0.8.0-2) unstable; urgency=low

  * Add symbols file for libgssdp-1.0-2
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Oct 2010 16:37:36 +0200

gssdp (0.8.0-1) experimental; urgency=low

  * debian/watch: fix for new gupnp.org site layout.
  * Imported Upstream version 0.8.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Sep 2010 20:53:10 +0200

gssdp (0.7.2-2) unstable; urgency=low

  * Call dh_girepository
  * Add missing build-dependency on gir1.0-glib-2.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 26 Apr 2010 12:07:41 +0200

gssdp (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Include new GObject Introspection data.
    + ship .gir in -dev package.
    + Add new gir1.0-gssdp-1.0 package with typelib.
  * Use multi-line build-dependencies and add gobject-introspection.
  * Add build-dependency on libgirepository1.0-dev
  * Add a versioned replaces on libgssdp1.0-dev against gir-repository-dev
    (<= 0.6.5-5), to prevent .gir file collisions.
  * Add Homepage and Vcs-* fields
  * Bump to policy version 3.8.4
  * Add myself to Uploaders (acknowledged by Ross Burton)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Apr 2010 14:18:22 +0200

gssdp (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Clarify copyright

 -- Ross Burton <ross@debian.org>  Mon, 25 Jan 2010 09:07:49 +0000

gssdp (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Thu, 24 Sep 2009 13:38:33 +0100

gssdp (0.6.4-2) unstable; urgency=low

  * Bump libglib2.0 build-dependency (Closes: #517392)

 -- Ross Burton <ross@debian.org>  Sun, 08 Mar 2009 00:12:33 +0000

gssdp (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Fri, 20 Feb 2009 12:00:22 +0000

gssdp (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Tue, 30 Sep 2008 15:49:01 +0100

gssdp (0.6.1-1) unstable; urgency=low

  * Brown paper bag upstream release which bumps soname because of the ABI
    breakage.
  * Fix libsoup dependency on -dev
  * Add --as-needed to link flags

 -- Ross Burton <ross@debian.org>  Mon, 19 May 2008 21:39:42 +0100

gssdp (0.6-1) unstable; urgency=low

  * New upstream release.
    - Uses libsoup2.4 rather than 2.2

 -- Ross Burton <ross@debian.org>  Tue, 13 May 2008 17:39:44 +0100

gssdp (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libgnutls-dev to fix libsoup2.2-dev build failure.

 -- Ross Burton <ross@debian.org>  Sun, 24 Feb 2008 17:23:12 +0000

gssdp (0.4.1-3) unstable; urgency=low

  * Add debian/watch.
  * Bump Standards
  * Refer to common GFDL license instead of containing the full text
  * Make -dbg package priority extra.
  * Don't use Source-Version

 -- Ross Burton <ross@debian.org>  Thu, 21 Feb 2008 10:24:13 +0000

gssdp (0.4.1-2) unstable; urgency=low

  * Add -dbg package.

 -- Ross Burton <ross@debian.org>  Tue, 16 Oct 2007 17:10:26 +0100

gssdp (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Sun, 23 Sep 2007 14:44:20 +0100

gssdp (0.4-2) unstable; urgency=low

  * Add missing libsoup2.2-dev depends on libgssdp-1.0-dev.

 -- Ross Burton <ross@debian.org>  Thu, 23 Aug 2007 17:15:30 +0100

gssdp (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Thu, 26 Jul 2007 19:20:04 +0100

gssdp (0.1-1) unstable; urgency=low

  * Initial packaging.

 -- Ross Burton <ross@debian.org>  Wed, 13 Jun 2007 09:52:29 +0100
